Bug 189151 - Review Request: xsp
Review Request: xsp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189150
  Show dependency treegraph
 
Reported: 2006-04-17 12:54 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 17:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-04-17 12:54:22 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/xsp.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/xsp-1.1.13-1.src.rpm
Description:

xsp is the mono ASP.NET page server
Comment 1 Paul F. Johnson 2006-04-18 18:20:16 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/xsp.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/xsp-1.1.13-2.src.rpm

libdir now /usr/lib no matter what you build it on
spec file alterations
Comment 2 Michael J Knox 2006-04-23 23:04:35 EDT
builds on FC5, but rpmlint is not overly happy.. 

W: xsp incoherent-version-in-changelog 1.1.13-1 1.1.13-2
E: xsp no-binary
E: xsp only-non-binary-in-usr-lib
E: xsp script-without-shellbang /usr/lib/xsp/2.0/asp-state2.exe.config
W: xsp devel-file-in-non-devel-package /usr/lib/pkgconfig/xsp-2.pc
E: xsp standard-dir-owned-by-package /usr/share/man/man1
E: xsp script-without-shellbang /usr/lib/xsp/2.0/dbsessmgr2.exe.config
E: xsp script-without-shellbang /usr/lib/xsp/1.0/asp-state.exe.config
W: xsp devel-file-in-non-devel-package /usr/lib/pkgconfig/xsp.pc
E: xsp script-without-shellbang /usr/lib/xsp/1.0/dbsessmgr.exe.config
W: xsp one-line-command-in-%post /sbin/ldconfig
W: xsp one-line-command-in-%postun /sbin/ldconfig
Comment 3 Paul F. Johnson 2006-04-24 02:26:22 EDT
Those are all fine - it's how mono does things (everything goes into _libdir
with symlinks to _bindir)
Comment 4 Michael J Knox 2006-04-24 03:05:49 EDT
Should the config files not be executable? 
Comment 5 Brian Pepple 2006-05-08 17:35:44 EDT
MD5Sums:
58facfdb9d13d48f9e8ad5069500081d  xsp-1.1.13.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed
* Builds fine in Mock.

Bad:
* The Group tag should probably reflect the same group as Apache (System
Environment/Daemons), since it is a web server.
* You have ownership problems with some of your directories that must be fixed.
* The %clean section is missing.
* Produces the following rpmlint errors:
W: xsp incoherent-version-in-changelog 1.1.13-1 1.1.13-2
E: xsp no-binary
E: xsp only-non-binary-in-usr-lib
E: xsp script-without-shellbang /usr/lib/xsp/2.0/asp-state2.exe.config
W: xsp devel-file-in-non-devel-package /usr/lib/pkgconfig/xsp-2.pc
E: xsp standard-dir-owned-by-package /usr/share/man/man1
E: xsp script-without-shellbang /usr/lib/xsp/2.0/dbsessmgr2.exe.config
E: xsp script-without-shellbang /usr/lib/xsp/1.0/asp-state.exe.config
W: xsp devel-file-in-non-devel-package /usr/lib/pkgconfig/xsp.pc
E: xsp script-without-shellbang /usr/lib/xsp/1.0/dbsessmgr.exe.config
W: xsp one-line-command-in-%post /sbin/ldconfig
W: xsp one-line-command-in-%postun /sbin/ldconfig

In particular, the 'standard-dir-owned-by-package' must be fixed.  Also, the
ChangeLog error must be corrected.  The scriptlets for the shared libraries are
unnecessary, since as far as I can tell this package doesn't contain any.  Most
of the others can be ignored, since it is a mono package.
 

Minor:
* The 'rm -rf ${RPM_BUILD_ROOT}' in the %prep section is unnecessary.
Comment 6 Paul F. Johnson 2006-05-08 19:18:35 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/xsp.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/xsp-1.1.13-3.src.rpm

Just about all of the points raised in #5 are fixed with this release
Comment 7 Brian Pepple 2006-05-09 12:27:43 EDT
Rest of review in comment #5.  Looks pretty good, except for the following issues:  

1. The URL should be 'http://www.mono-project.com/ASP.NET#XSP', and the Source
URL should be 'http://www.go-mono.com/sources/xsp/%{name}-%{version}.tar.gz'.
2. Use '%{_libdir}/%{name}/' instead of '%{_libdir}/xsp/1.0/*'.  In general, you
want to refrain from using a wildcard to pull in children directories, since
this can cause directory ownership issues.
3. The License appears to be BSD, not GPL.
4. The COPYING file should be added to the documentation.

Once these items are corrected, go ahead and import it into FE CVS.

+1 APPROVED.

Note You need to log in before you can comment on or make changes to this bug.